SIMVoleon: SoOrthoSlice Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://bitbucket.org/Coin3D/ http://www.kongsberg.com/kogt/

SoOrthoSlice Class Reference

Render one orthogonal slice of the volume data. More...

`#include <VolumeViz/nodes/SoOrthoSlice.h>`

## Public Types
enum | Axis { X = 0 , Y , Z }
enum | Interpolation { NEAREST , LINEAR }
enum | AlphaUse { ALPHA_AS_IS , ALPHA_OPAQUE , ALPHA_BINARY }
enum | ClippingSide { FRONT , BACK }

## Public Member Functions
virtual SbBool | affectsState (void) const

## Static Public Member Functions
static void | initClass (void)

## Public Attributes
SoSFUInt32 | sliceNumber
SoSFEnum | axis
SoSFEnum | interpolation
SoSFEnum | alphaUse
SoSFEnum | clippingSide
SoSFBool | clipping
SoSFNode | alternateRep

## Protected Member Functions
virtual void | doAction (SoAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | rayPick (SoRayPickAction *action)
virtual void | generatePrimitives (SoAction *action)
virtual void | computeBBox (SoAction *action, SbBox3f &box, SbVec3f &center)
virtual void | write (SoWriteAction *action)
virtual SbBool | readInstance (SoInput *in, unsigned short flags)

## Friends
class | SoOrthoSliceP

## Detailed Description

Render one orthogonal slice of the volume data.

Insert a node of this type after an SoVolumeData node in the scene graph to render a single, axis-aligned slice from the full volume data set.

Here is a simple example, in the form of an iv-file:

    #Inventor V2.1 ascii

    SoVolumeData { fileName "ENGINE.VOL" }
    SoTransferFunction { predefColorMap TEMPERATURE }

    SoOrthoSlice { sliceNumber 0 }

    Translation { translation 5 0 0 }

    SoOrthoSlice { sliceNumber 10 }

Which will produce something like this when loaded into an examinerviewer:

See also
  SoVolumeRender

## Member Data Documentation

## ◆ sliceNumber

SoSFUInt32 SoOrthoSlice::sliceNumber

Decides where the slice will be made through the volume.

Default value is 0.

## ◆ axis

SoSFEnum SoOrthoSlice::axis

Decides which plane the orthonormal slice will show. The plane will be the one perpendicular to the axis, i.e if this field is set to SoOrthoSlice::Z, the slice will lay in the X-Y plane.

Default value is SoOrthoSlice::Z.

## ◆ alphaUse

SoSFEnum SoOrthoSlice::alphaUse

Decides how to handle the alpha values of the slice. If set to SoOrthoSlice::ALPHA_AS_IS, slice will be rendered as a regular texture. When set to SoOrthoSlice::ALPHA_BINARY, all texels with alpha != 0 will become opaque. If set to SoOrthoSlice::ALPHA_OPAQUE, all texels will be opaque, independent of original alpha value.

Default value is SoOrthoSlice::ALPHA_BINARY.

## ◆ alternateRep

SoSFNode SoOrthoSlice::alternateRep

NOTE: support for this field not yet implemented in SIM Voleon.

Since
  SIM Voleon 2.0

The documentation for this class was generated from the following files:

- SoOrthoSlice.h
- OrthoSlice.cpp